body {
    margin: 0;
    font-family: Arial;
    background: #0f1115;
    color: white;
}

header {
    padding: 20px;
    text-align: center;
    background: linear-gradient(90deg,#6a11cb,#2575fc);
}

.container {
    max-width: 900px;
    margin: auto;
    padding: 20px;
}

.upload-box {
    background: #161a22;
    padding: 15px;
    border-radius: 10px;
    margin-bottom: 10px;
}

input {
    width: 100%;
    padding: 10px;
    margin-top: 8px;
    background: #0f1115;
    border: 1px solid #333;
    color: white;
}

button {
    margin-top: 10px;
    width: 100%;
    padding: 10px;
    background: #2575fc;
    border: none;
    color: white;
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(180px,1fr));
    gap: 10px;
}

.card {
    background: #161a22;
    border-radius: 10px;
    overflow: hidden;
}

.card img {
    width: 100%;
    height: 140px;
    object-fit: cover;
}

.caption {
    padding: 8px;
    font-size: 12px;
    color: #aaa;
}

.container {
  max-width: 800px;
  margin: 0 auto;
}

#searchInput {
  width: 100%;
  padding: 10px;
  margin: 15px 0 25px 0;
  box-sizing: border-box;
}

.modal {
  display: none;
  position: fixed;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: rgba(0,0,0,0.8);
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.modal img {
  max-width: 80%;
  max-height: 80%;
}

#close {
  color: white;
  font-size: 30px;
  position: absolute;
  top: 20px;
  right: 30px;
  cursor: pointer;
}

#downloadBtn {
  background: #161a22;
  padding: 15px;
  border-radius: 10px;
  margin-bottom: 10px;
}

#ai-box {
  background: #161a22;
  padding: 15px;
  border-radius: 10px;
  margin-bottom: 10px;
}